from torch.nn import (
    BCELoss,
    CrossEntropyLoss,
    CosineEmbeddingLoss,
    CTCLoss,
    HingeEmbeddingLoss,
    KLDivLoss,
    MarginRankingLoss,
    MSELoss,
    MultiLabelMarginLoss,
    MultiLabelSoftMarginLoss,
    SmoothL1Loss,
    MultiMarginLoss,
    NLLLoss,
    PoissonNLLLoss,
    SoftMarginLoss,
    TripletMarginLoss,
    NLLLoss2d,
    L1Loss,
)
from .classification import FocalLoss
